# libreoffice-bin README.md

This port is provided as a convenience for users who need to open an office document quickly
and cannot wait for a massive project to be compiled. All the needed libraries aside from
gtk3 and freetype are bundled in the tarball. These libraries include duplicates of packages
you might already have installed, such as lcms2 and libxml2. The contrib/libreoffice
port creates a less-redundant footprint, and binaries that respect your pkgmk optimization
settings, at the expense of a bigger dependency tree and longer compilation time.

## Extensions not included

Some of the RPMs in the tarball are omitted from the installation, for the sake of a lighter
footprint. If you want such features as mediawiki-publisher or nlpsolver, you can simply delete
those tests from the Pkgfile and run ``pkgmk -is``. Better yet, create your own port that depends
on libreoffice-bin and uses the same source array, but installs only the desired extensions.

## Selective installation of dictionaries

The Pkgfile will use the value of $LANG to determine which dictionaries, if any, to install.
* If your value of $LANG does *not* begin with {en, es, fr}, then none of the dictionaries in the
upstream tarball will be unpacked. In that case you are encouraged to create a new port that
downloads the appropriate language pack from libreoffice.org and uses the same installation
directory (/usr/lib/libreoffice7.3).
* If your value of $LANG *does* begin with {en, es, fr}, then that dictionary in the upstream
tarball will be unpacked, and you will get a footprint mismatch, warning about NEW files.
Setting ``PKGMK_IGNORE_NEW=yes`` should be enough to allow the installation to proceed.
