local wezterm = require 'wezterm';
return {
	enable_wayland = true,
	font = wezterm.font("Inconsolata"),
	font_size = 22.0,
	color_scheme = "Treehouse",
	window_background_image = "/usr/share/backgrounds/xfce/tipas.jpg",
        window_background_image_hsb = { 
                -- Darken the background image by reducing it to 1/3rd
                brightness = 0.3,
                -- You can adjust the hue by scaling its value.
                -- a multiplier of 1.0 leaves the value unchanged.
                hue = 1.0,
                -- You can adjust the saturation also.
                saturation = 1.0,
        },
        text_background_opacity = 0.8,
        audible_bell = "Disabled",
        visual_bell = {
                fade_in_duration_ms = 75,
                fade_out_duration_ms = 75,
                target = "CursorColor",
        },
	disable_default_key_bindings = true,
	keys = {
		{key = "c", mods="CTRL|SHIFT", action=wezterm.action{CopyTo="Clipboard"}},
		{key = "v", mods="CTRL|SHIFT", action=wezterm.action{PasteFrom="Clipboard"}},
		{key = "x", mods="CTRL|SHIFT", action="ActivateCopyMode"},
		{key = "f", mods="CTRL|SHIFT", action=wezterm.action{Search={CaseInSensitiveString=""}}},
		{key = "t", mods="SUPER", action=wezterm.action{SpawnTab="CurrentPaneDomain"}},
		{key = "w", mods="SUPER", action=wezterm.action{CloseCurrentTab={confirm=true}}},
		{key = "[", mods="SUPER", action=wezterm.action{ActivateTabRelative=-1}},
		{key = "]", mods="SUPER", action=wezterm.action{ActivateTabRelative=1}},
		{key = "PageUp", mods="SHIFT", action=wezterm.action{ScrollByPage=-1}},
		{key = "PageDown", mods="SHIFT", action=wezterm.action{ScrollByPage=1}},
		{key = "u", mods="CTRL|SHIFT", action="QuickSelect"},
	},
}
